Ny version av PHP – kolla din kod!

Vi kommer inom en inte allt för avlägsen framtid att uppdatera PHP från 5.2 till 5.3. För våra FreeBSD-servrar så kommer detta att ske i samband med att PHP 5.3.2 släpps. Detta innebär att du behöver se över koden på din sajt då den nya versionen av PHP har en del ganska stora ändringar i sig (läs mer om det via länkarna nedan). Det finns ännu inget officiellt datum från organisationen bakom PHP för när den här uppgraderingen kommer att ske, därför är det bäst att sätta igång att kontrollera koden redan nu.

Se till att dina tredjepartsprogram som t ex WordPress och Joomla är uppdaterade till versioner som hanterar PHP 5.3 (läs mer på respektive tillverkares sida).

Vi återkommer med mer information kring detta här på bloggen och i framtida nyhetsbrev.

Dela: Facebooktwittergoogle_pluslinkedinmail

3 reaktion på “Ny version av PHP – kolla din kod!

  1. Henrik

    Det är högst intressant att få veta när i tiden ni väljer att uppgradera php till den senaste version. Detta för oss att prioritera och planera migrering av befintliga system.

    Är det innan månaden är slut eller om ett halv år?

    mvh Henrik

  2. Tård Wennerborg Inläggsförfattare

    Hej Henrik,

    Orsaken till att vi inte kan vara mer specifika än vad vi är att det än så länge inte finns något officiellt lanseringsdatum från PHP-organisationen. När 5.3.2 väl släpps så har vi svårt att påverka exakt tid för uppgraderingen. Detta beror på att vi vill ha våra FreeBSD-servrar uppdaterade med de senaste säkerhetspatcharna. Skulle det alltså vara så att en viktig säkerhetspatch till FreeBSD släpps strax efter PHP 5.3.2 så behöver vi alltså genomföra uppgraderingen omedelbart.

    Vi kommer självklart att informera så gott vi kan under tiden. Men vi rekommenderar er som sagt att börja se över koden redan nu.

  3. Gabriel

    Hej är kund hos Loopia men vi har fortfarande inte fått version 5.3.3 utan kör på gamla 5.2 varför har ni inte uppgraderat ännu, 5.3 kom ut i juli?

Kommentera

E-postadressen publiceras inte. Obligatoriska fält är märkta *